# Review at https://bugzilla.redhat.com/show_bug.cgi?id=563001

%global srcname remmina-xfce

Name:           xfce4-remmina-plugin
Version:        0.7.2
Release:        1%{?dist}
Summary:        Xfce panel plugin for Remmina remote desktop client

Group:          Applications/Internet
License:        GPLv2+
URL:            http://remmina.sourceforge.net/
Source0:        http://downloads.sourceforge.net/remmina/%{srcname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  avahi-devel
BuildRequires:  xfce4-panel-devel
BuildRequires:  gettext intltool
Requires:       xfce4-panel, remmina >= %{version}
# for easy installation
Provides:       %{srcname} = %{version}

%description
Remmina is a remote desktop client written in GTK+, aiming to be useful for 
system administrators and travelers, who need to work with lots of remote 
computers in front of either large monitors or tiny netbooks. Remmina supports 
multiple network protocols in an integrated and consistent user interface. 
Currently RDP, VNC, XDMCP and SSH are supported.

This package includes the Xfce panel plugin for remmina.


%prep
%setup -qn %{srcname}-%{version}


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/xfce4/panel-plugins/*.la
%find_lang %{srcname}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{srcname}.lang
%defattr(-,root,root,-)
# FIXME add NEWS if not empty
%doc AUTHORS ChangeLog COPYING README
%{_libdir}/xfce4/panel-plugins/libremmina-xfce-plugin.so
%{_datadir}/xfce4/panel-plugins/*.desktop


%changelog
* Wed Feb 24 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.7.2-1
- Update to 0.7.2

* Thu Feb 04 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.7.1-1
- Initial package

